key
ksort
Array Funktionen
PHP Manual

# krsort

(PHP 4, PHP 5)

krsort — Sortiert ein Array nach Schlüsseln in umgekehrter Reihenfolge

### Beschreibung

bool krsort ( array `&$array` [, int `$sort_flags` ] )

Sortiert ein Array nach Schlüsseln in umgekehrter Reihenfolge, wobei die Zuordnungen zwischen Schlüssel und Wert erhalten bleiben. Dies ist hauptsächlich bei assoziativen Arrays hilfreich.

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

Beispiel #1 krsort()

`<?php
$fruits = array("d"=>"Zitrone", "a"=>"Orange", "b"=>"Banane", "c"=>"Apfel");
krsort ($fruits);
foreach ($fruits as $key => $val) {
echo "$key = $val\n";
}
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    d = Zitrone
    c = Apfel
    b = Banane
    a = Orange

Sie können das Verhalten der Sortierung mittels dem optionalen Parameter `sort_flags` beeinflussen, für Details siehe sort().

Siehe auch asort(), arsort(), ksort(), sort(), natsort() und rsort().

key
ksort
Array Funktionen
PHP Manual